For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create Order

Create a futures order on PointPay Exchange.

Details

POST https://api.pointpay.io/fapi/v1/private/trade/create-order

Headers

Name
Type
Description

X-TXC-APIKEY*

STRING

Public API key

X-TXC-PAYLOAD*

STRING

Base64-encoded request body

X-TXC-SIGNATURE*

STRING

HmacSHA512 signature of the request body

Request Body

Name
Type
Description
Example

symbol*

STRING

Trading pair

BTCUSDT

side*

STRING

Order side. Available values: Buy, Sell

Buy

orderType*

STRING

Order type. Available values: Market, Limit

Limit

qty*

NUMERIC

Order quantity

0.01

price

NUMERIC

Order price

65000

triggerDirection

INTEGER

Trigger direction. Available values: 1, 2

1

triggerPrice

NUMERIC

Trigger price

64000

triggerBy

STRING

Trigger price source. Available values: LastPrice, IndexPrice, MarkPrice

MarkPrice

positionIdx

INTEGER

Position index. Available values: 0, 1, 2

0

takeProfit

NUMERIC

Take-profit price

68000

stopLoss

NUMERIC

Stop-loss price

62000

tpTriggerBy

STRING

Take-profit trigger source. Available values: LastPrice, IndexPrice, MarkPrice

MarkPrice

slTriggerBy

STRING

Stop-loss trigger source. Available values: LastPrice, IndexPrice, MarkPrice

MarkPrice

reduceOnly

BOOLEAN

Reduce-only flag

false

tpslMode

STRING

TP/SL mode. Available values: Full, Partial

Full

tpLimitPrice

NUMERIC

Take-profit limit price

67950

slLimitPrice

NUMERIC

Stop-loss limit price

62050

tpOrderType

STRING

Take-profit order type. Available values: Limit, Market

Limit

slOrderType

STRING

Stop-loss order type. Available values: Limit, Market

Market

timeInForce

STRING

Time in force. Available values: GTC, IOC, FOK, PostOnly, RPI

GTC

Fields marked with * are required.

CURL Example

Response parameters:

Name
Type
Description

orderId

STRING

Created order ID

orderLinkId

STRING

System order ID

Response example:

Response example:

Returned when the request is invalid.

Common reasons:

  • Invalid request format

  • Invalid headers

Response example

Returned when authentication headers are missing / invalid or API Keys are not enabled.

Last updated